> ## Documentation Index
> Fetch the complete documentation index at: https://docs.niobi.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user status by email

> Returns the status of a user by their email address, including KYC status information.



## OpenAPI

````yaml get /api/partners/get-user-status/{email}
openapi: 3.0.0
info:
  title: Niobi API
  description: >-
    REST API for collecting payments, sending payouts, and managing
    multi-currency wallets across Africa and global corridors. All requests
    require IP whitelisting and a unique per-request HMAC SHA-256 signature.
  version: 4.0.0
servers:
  - url: https://sandbox.users.niobi.co
    description: Sandbox, Development and Testing
security: []
tags:
  - name: Niobi
    description: API Endpoints of Niobi
paths:
  /api/partners/get-user-status/{email}:
    get:
      tags:
        - User
      summary: Get user status by email
      description: >-
        Returns the status of a user by their email address, including KYC
        status information.
      operationId: getUserStatus
      parameters:
        - name: email
          in: path
          description: The email address of the user
          required: true
          schema:
            type: string
            format: email
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  status:
                    description: The KYC status of the user
                    type: string
                type: object
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                  message:
                    description: >-
                      Error message indicating the user cannot access this email
                      information
                    type: string
                type: object
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                  message:
                    description: Error message indicating the user or details not found
                    type: string
                type: object
      security:
        - bearerAuth: []
components: {}

````